# Uses of Interface
org.codehaus.janino.Java.EnumDeclaration

Packages that use Java.EnumDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.EnumDeclaration in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.EnumDeclaration
Modifier and Type
Class
Description
`static final class`
`Java.MemberEnumDeclaration`
Representation of a "member enum declaration", i.e.
`static final class`
`Java.PackageMemberEnumDeclaration`
Implementation of a "package member enum declaration", a.k.a.
Methods in org.codehaus.janino that return Java.EnumDeclaration
Modifier and Type
Method
Description
`Java.EnumDeclaration`
Parser.`parseEnumDeclarationRest(String docComment, Java.Modifier[] modifiers, Parser.ClassDeclarationContext context)`
EnumDeclarationRest := Identifier [ 'implements' ReferenceTypeList ] EnumBody
Methods in org.codehaus.janino with parameters of type Java.EnumDeclaration
Modifier and Type
Method
Description
`void`
Parser.`parseEnumBody(Java.EnumDeclaration enumDeclaration)`
EnumBody := '{' [ EnumConstant { ',' EnumConstant } [ ',' ] [ ';' ] { ClassBodyDeclaration } '}'